#463 Unable to remove items from production

v0.3.13
closed-out-of-date
nobody
Interface (116)
5
2010-05-08
2010-04-04
Anonymous
No

Double clicking shows no effect at all. Using Delete-Key makes entry disappear for the moment being but after pressing Turn the item in the production list is there again.

Using Linux and Package from playdeb.net

Discussion

  • Geoff Topping

    Geoff Topping - 2010-04-04

    I'm unable to reproduce this on the Windows version of v0.3.13; double clicking to remove works fine and stays in effect after ending turn.

    Could you post your freeorion.log and freeoriond.log from immediately after demonstrating this problem?

     
  • Quassy

    Quassy - 2010-04-12

    Where can I find them?

     
  • Geoff Topping

    Geoff Topping - 2010-04-12

    On Linux, the freeorion log files are located in ~/.freeorion/

     
  • Zach Laine

    Zach Laine - 2010-04-13

    I can't reproduce this on Linux (with binaries built from source).

     
  • Quassy

    Quassy - 2010-04-14

    What I did: Installed the game using the playdeb.net repository, run the game and started a game via Quickstart. Double-click on my first planet to get to production menu, put two colony ships into the queue and then tried to remove the latter one by double-clicking it again, which does not work.

     
  • Quassy

    Quassy - 2010-04-14

    As I do not seem to be able to attach files, here is my freeorion.log and my freeoriond.log right after trying to remove an entry by double-clicking it:

    2010-04-14 16:08:18,505 DEBUG Client : OpenAL initialized. Version 1.1 ALSOFT 1.8.466Renderer OpenAL SoftVendor OpenAL Community
    Extensions: AL_EXTX_buffer_sub_data AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_OFFSET AL_EXTX_source_distance_model AL_LOKI_quadriphonic

    2010-04-14 16:08:18,578 DEBUG Client : Limited FPS to 60
    2010-04-14 16:08:18,695 DEBUG Client : (HumanClientFSM) IntroMenu
    2010-04-14 16:08:18,695 DEBUG Client : (HumanClientFSM) IntroMenuIdle
    2010-04-14 16:08:21,779 DEBUG Client : (HumanClientFSM) IntroMenu.HostSPGameRequested
    2010-04-14 16:08:21,779 DEBUG Client : (HumanClientFSM) ~IntroMenuIdle
    2010-04-14 16:08:21,779 DEBUG Client : (HumanClientFSM) ~IntroMenu
    2010-04-14 16:08:21,780 DEBUG Client : (HumanClientFSM) WaitingForSPHostAck
    2010-04-14 16:08:21,825 DEBUG Client : (HumanClientFSM) WaitingForSPHostAck.HostSPGame
    2010-04-14 16:08:21,825 DEBUG Client : (HumanClientFSM) ~WaitingForSPHostAck
    2010-04-14 16:08:21,825 DEBUG Client : (HumanClientFSM) PlayingGame
    2010-04-14 16:08:21,847 DEBUG Client : (HumanClientFSM) WaitingForTurnData
    2010-04-14 16:08:21,848 DEBUG Client : (HumanClientFSM) WaitingForTurnDataIdle
    2010-04-14 16:08:24,145 DEBUG Client : (HumanClientFSM) WaitingForTurnData.GameStart
    2010-04-14 16:08:24,146 DEBUG Client : ExtractMessage empire deserialization time 0
    2010-04-14 16:08:24,158 DEBUG Client : ExtractMessage universe deserialization time 20
    2010-04-14 16:08:24,175 DEBUG Client : (HumanClientFSM) ~WaitingForTurnDataIdle
    2010-04-14 16:08:24,175 DEBUG Client : (HumanClientFSM) ~WaitingForTurnData
    2010-04-14 16:08:24,175 DEBUG Client : (HumanClientFSM) PlayingTurn
    2010-04-14 16:08:24,175 DEBUG Client : Initializing turn 1
    2010-04-14 16:08:24,193 DEBUG Client : Universe::UpdateMeterEstimates time: 30
    2010-04-14 16:08:24,193 DEBUG Client : Universe::InitMeterEstimatesAndDiscrepancies time: 30
    2010-04-14 16:08:24,193 DEBUG Client : Universe::UpdateMeterEstimates time: 0
    2010-04-14 16:08:24,193 DEBUG Client : MapWnd::InitTurn getting known starlanes and visible systems time: 0
    2010-04-14 16:08:24,194 DEBUG Client : MapWnd::InitTurn resource pools init time: 0
    2010-04-14 16:08:24,194 DEBUG Client : MapWnd::InitTurnRendering
    2010-04-14 16:08:24,412 DEBUG Client : MapWnd::InitSystemRenderingBuffers
    2010-04-14 16:08:24,482 DEBUG Client : MapWnd::InitSystemRenderingBuffers time: 90
    2010-04-14 16:08:24,482 DEBUG Client : MapWnd::InitStarlaneRenderingBuffers
    2010-04-14 16:08:24,482 DEBUG Client : MapWnd::InitStarlaneRenderingBuffers time: 10
    2010-04-14 16:08:24,487 DEBUG Client : MapWnd::InitTurnRendering time: 370
    2010-04-14 16:08:24,491 DEBUG Client : Tech Tree Layout Preparing Tech Data
    2010-04-14 16:08:24,492 DEBUG Client : Tech Tree Layout Doing Graph Layout
    2010-04-14 16:08:24,596 DEBUG Client : Tech Tree Layout Creating Panels
    2010-04-14 16:08:25,151 DEBUG Client : Tech Tree Layout Done
    2010-04-14 16:08:25,151 DEBUG Client : Tech List Box Populating
    2010-04-14 16:08:25,340 DEBUG Client : Tech List Box Done Populating
    2010-04-14 16:08:25,340 DEBUG Client : Creation time=120ms
    2010-04-14 16:08:25,340 DEBUG Client : Insertion time=10ms
    2010-04-14 16:08:25,341 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:25,341 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:25,341 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:25,341 DEBUG Client : minerals available in stockpile group is: 10
    2010-04-14 16:08:25,341 DEBUG Client : minerals allocation in stockpile group is: 0
    2010-04-14 16:08:25,341 DEBUG Client : Predicted stockpile is: 10
    2010-04-14 16:08:25,341 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:25,341 DEBUG Client : Stockpile change is: 10
    2010-04-14 16:08:25,342 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:25,342 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:25,342 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:25,342 DEBUG Client : minerals available in stockpile group is: 10
    2010-04-14 16:08:25,342 DEBUG Client : minerals allocation in stockpile group is: 0
    2010-04-14 16:08:25,342 DEBUG Client : Predicted stockpile is: 10
    2010-04-14 16:08:25,342 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:25,342 DEBUG Client : Stockpile change is: 10
    2010-04-14 16:08:25,343 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:25,343 DEBUG Client : potential group:
    2010-04-14 16:08:25,343 DEBUG Client : ....119
    2010-04-14 16:08:25,343 DEBUG Client : MapWnd::RefreshFoodResourceIndicator found group of systems for stockpile system. size: 1
    2010-04-14 16:08:25,343 DEBUG Client : object Ehwaz IV is in stockpile system group has 25 food allocated to it
    2010-04-14 16:08:25,343 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:25,343 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:25,343 DEBUG Client : food available in stockpile group is: 30
    2010-04-14 16:08:25,343 DEBUG Client : food allocation in stockpile group is: 25
    2010-04-14 16:08:25,343 DEBUG Client : Predicted stockpile is: 5
    2010-04-14 16:08:25,343 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:25,343 DEBUG Client : Stockpile change is: 5
    2010-04-14 16:08:25,343 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:25,343 DEBUG Client : potential group:
    2010-04-14 16:08:25,343 DEBUG Client : ....119
    2010-04-14 16:08:25,343 DEBUG Client : MapWnd::RefreshFoodResourceIndicator found group of systems for stockpile system. size: 1
    2010-04-14 16:08:25,343 DEBUG Client : object Ehwaz IV is in stockpile system group has 25 food allocated to it
    2010-04-14 16:08:25,343 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:25,343 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:25,343 DEBUG Client : food available in stockpile group is: 30
    2010-04-14 16:08:25,343 DEBUG Client : food allocation in stockpile group is: 25
    2010-04-14 16:08:25,343 DEBUG Client : Predicted stockpile is: 5
    2010-04-14 16:08:25,343 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:25,343 DEBUG Client : Stockpile change is: 5
    2010-04-14 16:08:25,344 DEBUG Client : MapWnd::InitTurn getting known starlanes and visible systems time: 10
    2010-04-14 16:08:25,351 DEBUG Client : Tech Tree Layout Preparing Tech Data
    2010-04-14 16:08:25,352 DEBUG Client : Tech Tree Layout Doing Graph Layout
    2010-04-14 16:08:25,385 DEBUG Client : Tech Tree Layout Creating Panels
    2010-04-14 16:08:25,439 DEBUG Client : Tech Tree Layout Done
    2010-04-14 16:08:25,439 DEBUG Client : MapWnd::InitTurn research wnd refresh time: 100
    2010-04-14 16:08:25,439 DEBUG Client : MapWnd::InitTurn sidepanel refresh time: 0
    2010-04-14 16:08:25,440 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:25,440 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:25,440 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:25,440 DEBUG Client : minerals available in stockpile group is: 10
    2010-04-14 16:08:25,440 DEBUG Client : minerals allocation in stockpile group is: 0
    2010-04-14 16:08:25,440 DEBUG Client : Predicted stockpile is: 10
    2010-04-14 16:08:25,440 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:25,440 DEBUG Client : Stockpile change is: 10
    2010-04-14 16:08:25,440 DEBUG Client : Adding Buildings
    2010-04-14 16:08:25,442 DEBUG Client : Adding ship designs
    2010-04-14 16:08:25,474 DEBUG Client : Selecting Row
    2010-04-14 16:08:25,474 DEBUG Client : Done
    2010-04-14 16:08:25,474 DEBUG Client : MapWnd::InitTurn m_production_wnd refresh time: 60
    2010-04-14 16:08:25,909 DEBUG Client : MapWnd::InitTurn time: 1570
    2010-04-14 16:08:28,355 DEBUG Client : Adding Buildings
    2010-04-14 16:08:28,355 DEBUG Client : Adding ship designs
    2010-04-14 16:08:28,357 DEBUG Client : Selecting Row
    2010-04-14 16:08:28,357 DEBUG Client : Done
    2010-04-14 16:08:31,929 DEBUG Client : ProductionQueue::Update: Simulating future turns of production queue
    2010-04-14 16:08:31,937 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:31,937 DEBUG Client : potential group:
    2010-04-14 16:08:31,937 DEBUG Client : ....119
    2010-04-14 16:08:31,937 DEBUG Client : MapWnd::RefreshMineralsResourceIndicator found group of systems for stockpile system. size: 1
    2010-04-14 16:08:31,937 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:31,937 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:31,937 DEBUG Client : minerals available in stockpile group is: 10
    2010-04-14 16:08:31,937 DEBUG Client : minerals allocation in stockpile group is: 10
    2010-04-14 16:08:31,937 DEBUG Client : Predicted stockpile is: 0
    2010-04-14 16:08:31,937 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:31,937 DEBUG Client : Stockpile change is: 0
    2010-04-14 16:08:33,042 DEBUG Client : ProductionQueue::Update: Simulating future turns of production queue
    2010-04-14 16:08:33,051 DEBUG Client : trying to find stockpile system group... stockpile system has id: 119
    2010-04-14 16:08:33,051 DEBUG Client : potential group:
    2010-04-14 16:08:33,051 DEBUG Client : ....119
    2010-04-14 16:08:33,051 DEBUG Client : MapWnd::RefreshMineralsResourceIndicator found group of systems for stockpile system. size: 1
    2010-04-14 16:08:33,051 DEBUG Client : ResourcePool::GroupAvailable(119)
    2010-04-14 16:08:33,051 DEBUG Client : ResourcePool::GroupProdeuction(119)
    2010-04-14 16:08:33,051 DEBUG Client : minerals available in stockpile group is: 10
    2010-04-14 16:08:33,051 DEBUG Client : minerals allocation in stockpile group is: 10
    2010-04-14 16:08:33,051 DEBUG Client : Predicted stockpile is: 0
    2010-04-14 16:08:33,051 DEBUG Client : Old stockpile is 0
    2010-04-14 16:08:33,051 DEBUG Client : Stockpile change is: 0
    2010-04-14 16:08:35,000 ERROR Client : ProductionQueueOrder specified with INVALID_BUILD_TYPE

    2010-04-14 16:08:20,811 DEBUG Server : (ServerFSM) Idle
    2010-04-14 16:08:21,781 DEBUG Server : (ServerFSM) Idle.HostSPGame
    2010-04-14 16:08:21,782 DEBUG Server : (ServerFSM) ~Idle
    2010-04-14 16:08:21,782 DEBUG Server : (ServerFSM) WaitingForSPGameJoiners
    2010-04-14 16:08:21,782 DEBUG Server : starting /usr/lib/games/freeorion/freeorionca
    2010-04-14 16:08:22,796 DEBUG Server : done starting /usr/lib/games/freeorion/freeorionca
    2010-04-14 16:08:22,796 DEBUG Server : starting /usr/lib/games/freeorion/freeorionca
    2010-04-14 16:08:23,817 DEBUG Server : done starting /usr/lib/games/freeorion/freeorionca
    2010-04-14 16:08:23,818 DEBUG Server : (ServerFSM) WaitingForSPGameJoiners.CheckStartConditions
    2010-04-14 16:08:23,818 DEBUG Server : (ServerFSM) WaitingForSPGameJoiners.JoinGame
    2010-04-14 16:08:23,818 DEBUG Server : (ServerFSM) WaitingForSPGameJoiners.JoinGame
    2010-04-14 16:08:23,818 DEBUG Server : ServerApp::NewGameInit
    2010-04-14 16:08:23,818 DEBUG Server : Creating universe with 150 stars and 1 players.
    2010-04-14 16:08:23,818 DEBUG Server : GenerateStarField
    2010-04-14 16:08:23,821 DEBUG Server : PopulateSystems
    2010-04-14 16:08:23,854 DEBUG Server : UniverseObject::MoveTo : Placing object "" off the map area.
    2010-04-14 16:08:23,855 DEBUG Server : UniverseObject::MoveTo : Placing object "" off the map area.
    2010-04-14 16:08:23,855 DEBUG Server : UniverseObject::MoveTo : Placing object "" off the map area.
    2010-04-14 16:08:23,879 DEBUG Server : Generating 3 empires
    2010-04-14 16:08:23,880 DEBUG Server : Initializing PredefinedShipDesignManager
    2010-04-14 16:08:23,883 DEBUG Server : Initializing FleetPlanManager
    2010-04-14 16:08:23,883 DEBUG Server : Initializing ItemSpecManager
    2010-04-14 16:08:23,884 DEBUG Server : creating empire named: Human Empire
    2010-04-14 16:08:23,884 DEBUG Server : Setting Ehwaz (Planet #948) to be home system for Empire 0
    2010-04-14 16:08:23,915 DEBUG Server : Planet Ehwaz IV adding building: 951
    2010-04-14 16:08:23,915 DEBUG Server : Planet Ehwaz IV adding building: 952
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 954
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 955
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 956
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 957
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Battle Fleet' adding ship: 959
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Battle Fleet' adding ship: 960
    2010-04-14 16:08:23,916 DEBUG Server : creating empire named: Manderans
    2010-04-14 16:08:23,916 DEBUG Server : Setting Othila (Planet #949) to be home system for Empire 2
    2010-04-14 16:08:23,916 DEBUG Server : Planet Othila III adding building: 961
    2010-04-14 16:08:23,916 DEBUG Server : Planet Othila III adding building: 962
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 964
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 965
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 966
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 967
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Battle Fleet' adding ship: 969
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Battle Fleet' adding ship: 970
    2010-04-14 16:08:23,916 DEBUG Server : creating empire named: Sslith
    2010-04-14 16:08:23,916 DEBUG Server : Setting Diggity (Planet #950) to be home system for Empire 1
    2010-04-14 16:08:23,916 DEBUG Server : Planet Diggity IV adding building: 971
    2010-04-14 16:08:23,916 DEBUG Server : Planet Diggity IV adding building: 972
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 974
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 975
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 976
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Home Fleet' adding ship: 977
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Battle Fleet' adding ship: 979
    2010-04-14 16:08:23,916 DEBUG Server : Fleet 'Battle Fleet' adding ship: 980
    2010-04-14 16:08:23,917 DEBUG Server : Applying first turn effects and updating meters
    2010-04-14 16:08:24,081 DEBUG Server : Universe::UpdateEmpireObjectVisibilities()
    2010-04-14 16:08:24,124 DEBUG Server : Universe Created. Adding empires to turn processing list
    2010-04-14 16:08:24,124 DEBUG Server : Sending GameStartMessages to players
    2010-04-14 16:08:24,174 DEBUG Server : (ServerFSM) ~WaitingForSPGameJoiners
    2010-04-14 16:08:24,174 DEBUG Server : (ServerFSM) PlayingGame
    2010-04-14 16:08:24,174 DEBUG Server : (ServerFSM) WaitingForTurnEnd
    2010-04-14 16:08:24,174 DEBUG Server : (ServerFSM) WaitingForTurnEndIdle
    2010-04-14 16:08:24,175 DEBUG Server : ServerApp::HandleMessage type 10
    2010-04-14 16:08:24,175 DEBUG Server : (ServerFSM) WaitingForTurnEndIdle.SaveGameRequest
    2010-04-14 16:08:24,175 DEBUG Server : (ServerFSM) ~WaitingForTurnEndIdle
    2010-04-14 16:08:24,175 DEBUG Server : (ServerFSM) WaitingForSaveData
    2010-04-14 16:08:24,186 DEBUG Server : ServerApp::HandleMessage type 16
    2010-04-14 16:08:24,186 DEBUG Server : (ServerFSM) WaitingForSaveData.ClientSaveData
    2010-04-14 16:08:24,361 DEBUG Server : ServerApp::HandleMessage type 14
    2010-04-14 16:08:24,415 DEBUG Server : ServerApp::HandleMessage type 16
    2010-04-14 16:08:24,415 DEBUG Server : (ServerFSM) WaitingForSaveData.ClientSaveData
    2010-04-14 16:08:24,498 DEBUG Server : ServerApp::HandleMessage type 14
    2010-04-14 16:08:24,499 DEBUG Server : ServerApp::HandleMessage type 16
    2010-04-14 16:08:24,499 DEBUG Server : (ServerFSM) WaitingForSaveData.ClientSaveData
    2010-04-14 16:08:25,299 DEBUG Server : (ServerFSM) ~WaitingForSaveData
    2010-04-14 16:08:25,299 DEBUG Server : (ServerFSM) WaitingForTurnEndIdle
    2010-04-14 16:08:25,299 DEBUG Server : (ServerFSM) WaitingForTurnEnd.TurnOrders
    2010-04-14 16:08:25,299 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 2
    2010-04-14 16:08:25,299 DEBUG Server : ServerApp::AllOrdersReceived()
    2010-04-14 16:08:25,299 DEBUG Server : (ServerFSM) WaitingForTurnEnd.TurnOrders
    2010-04-14 16:08:25,299 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 1
    2010-04-14 16:08:25,299 DEBUG Server : ServerApp::AllOrdersReceived()

     
  • Geoff Topping

    Geoff Topping - 2010-04-14

    Does the title screen indicate which SVN revision the version you're running is?

    Have you ever had another version of FreeOrion installed on the same machine?

    Does anything change if you delete ~/.freeorion/config.xml ?

     
  • Quassy

    Quassy - 2010-04-26

    Version seems to be "0.3.13None"

    I have not before installed FreeOrion on this system.

    Deleting the config-file does not solve the problem.

     
  • Geoff Topping

    Geoff Topping - 2010-04-27

    Since I don't know what version playdeb.net is distributing and we don't have any control over it, there's not much I have to go on here. Could you try one of the releases provided by someone associated with FreeOrion? More up-to-date linux binaries are available here:

    http://freeorion.psitronic.de/download/nightly/

     
  • Nobody/Anonymous

    "NOTE: This is a SVN snapshot and may not be stable."

    Since they are claiming it's snapshot it should be quite recent, right? I will try the nightly as soon as possible anyways...

     
  • Markus Sinner

    Markus Sinner - 2010-05-03

    SVN snapshot could be almost every version, depending on the day the SVN version was checked out.

    Could you try the now released official version 0.3.14 from here in sourceforge?
    https://sourceforge.net/projects/freeorion/files/

     
  • Nobody/Anonymous

    Using the nightly as well as 0.3.14 the bug does not occur anymore, so this report may well be closed.

    One interesting thing though is that build 3568, that is labeled by you (kroddn) as well by its archive-name as "0.3.14" is inside the game actually labelled as "v0.3.13 [Rev 3568]" (window title of freeorion).

     
  • Geoff Topping

    Geoff Topping - 2010-05-08
    • status: open --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks